package org.one.stone.soup.xapp.controller.xml;

import org.one.stone.soup.xapp.components.form.XFormAdapter;
import org.one.stone.soup.xml.XmlElement;

public class XmlFormAdapter implements XFormAdapter {

	public XmlElement transformToFormData(XmlElement data) {

		XmlElement formData = new XmlElement(data.getName());
		
		for(int loop=0;loop<data.getAttributeCount();loop++)
		{
			formData.addChild(data.getAttributeNameByIndex(loop)).addValue(data.getAttributeValueByIndex(loop));
		}
		
		for(int loop=0;loop<data.getElementCount();loop++)
		{
			if(data.getElementByIndex(loop)==null)
			{
				formData.addChild("@value",data.getValue());
				break;
			}
		}
		
		return formData;
	}

	public XmlElement transformFromFormData(XmlElement form) {
		return form;
	}

}
