package org.one.stone.soup.xapp.swing.components;

import javax.swing.JTextField;
import javax.swing.border.BevelBorder;
import javax.swing.border.SoftBevelBorder;

import org.one.stone.soup.xapp.components.XappTextField;

public class XappSwingTextField extends JTextField implements XappTextField {

	public XappSwingTextField()
	{
		setBorder( new SoftBevelBorder(BevelBorder.LOWERED) );
	}
	
	public void setSize(int size)
	{
		setColumns(size);
	}
	
	public String getData() {
		return getText();
	}

	public void setData(String value) {
		setText(value);
	}

	public void setTip(String toolTip) {
		setToolTipText(toolTip);
	}

}
