package org.one.stone.soup.xapp.swing.factories;

import java.awt.Component;

import org.one.stone.soup.xapp.XappPersister;
import org.one.stone.soup.xapp.XappReceiver;
import org.one.stone.soup.xapp.components.XappComponent;
import org.one.stone.soup.xapp.dnd.XappDragSource;
import org.one.stone.soup.xapp.dnd.XappDropReceiver;
import org.one.stone.soup.xapp.factories.XappDragAndDropFacotry;
import org.one.stone.soup.xapp.swing.dnd.XappSwingDragSource;
import org.one.stone.soup.xapp.swing.dnd.XappSwingDropReceiver;

public class XappSwingDragAndDropFactory implements XappDragAndDropFacotry {

	/* (non-Javadoc)
	 * @see org.one.stone.soup.xapp.swing.XappDragAndDropFacotry#buildXappDragSource(org.one.stone.soup.xapp.components.XappComponent, org.one.stone.soup.xapp.XappPersister, java.lang.String)
	 */
	public XappDragSource buildXappDragSource(XappComponent source,XappPersister sender,String name)
	{
		return new XappSwingDragSource((Component)source,sender,name);
	}
	
	/* (non-Javadoc)
	 * @see org.one.stone.soup.xapp.swing.XappDragAndDropFacotry#buildXappDropReceiver(org.one.stone.soup.xapp.components.XappComponent, org.one.stone.soup.xapp.XappReceiver, java.lang.String, java.lang.String)
	 */
	public XappDropReceiver buildXappDropReceiver(XappComponent target,XappReceiver receiver,String name,String action)
	{
		return new XappSwingDropReceiver((Component)target,receiver,name,action);
	}
}
