package org.one.stone.soup.dfml;

public class DfmlCommandSet {

	public static final int NOP 				= 0;
	public static final int DATA 				= 1;
	public static final int CALL 				= 2;
	public static final int CLAUSE 				= 3;
	public static final int GOTO 				= 4;

	public static final String NOP_NAME			= "NOP";
	public static final String DATA_NAME		= "DATA";
	public static final String CALL_NAME		= "CALL";
	public static final String CLAUSE_NAME		= "CLAUSE";
	public static final String GOTO_NAME		= "GOTO";
	
	private static String[] commands = {
		NOP_NAME,
		DATA_NAME,
		CALL_NAME,
		CLAUSE_NAME,
		GOTO_NAME
	};
public static int command(String name) {

	for(int loop=0;loop<commands.length;loop++)
	{
		if(commands[loop].equals(name))
			return loop;
	}
	
	return NOP;
}
}
